from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XVolatileResult(XInterface, Protocol):
    def addResultListener(self, aListener: XResultListener) -> None: ...
    def removeResultListener(self, aListener: XResultListener) -> None: ...
